The oneM2M Base Ontology 
==============

This the repository of oneM2M for developing the oneM2M base ontology

The 'master' (default) branch contains the current version of the base ontology as file: base_ontology.owl
For each new version of the ontology a new branch has been created, e.g. 'Creating_version_3_6', which subsequently was merged into 'master'.
After merging, a TAG, indicating the new version, is created. 
Under this tag the file: base_ontology.owl contains the indicated version of the base ontology.
E.g. for tag 3_6_0 you will find the version 3_6_0 of the base ontology at the URL:
https://git.onem2m.org/MAS/BaseOntology/blob/3_6_0/base_ontology.owl

The versions of the ontology match the versions of TS-0012, which can be found at http://onem2m.org/technical/latest-drafts

For use in an ontology browser, e.g. Protege, one needs to use the link to the RAW version of the file. 
The link to the latest version of the base ontology is:
    https://git.onem2m.org/MAS/BaseOntology/raw/master/base_ontology.owl
The link to a specific version is:
    https://git.onem2m.org/MAS/BaseOntology/raw/TAG/base_ontology.owl
E.g. for version 3_6_0 the TAG is 3_6_0. For loading that version of the ontology into a browser use the URL:
    https://git.onem2m.org/MAS/BaseOntology/raw/3_6_0/base_ontology.owl


General information
-----
 The classes and properties of the oneM2M base ontology are described in TS-0012.
 
 Using this GitLab repository it is possible to create branches which contain your own ontology to be used in oneM2M.
 Such an ontology needs to reference your own ontology as well as the base ontology - prefereably the latest version - via  "include" statements.
 
 It also needs to contain appropriate subClass / subProperty relationship statements that make e.g. class yourDevice a sub-class of class Device of the base ontology.
 
 
